/*
 * Copyright 2016-present Open Networking Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.nemo.model.object.property.instance;

import org.onosproject.nemo.model.object.property.instance.property.values.IntValue;
import org.onosproject.nemo.model.object.property.instance.property.values.RangeValue;
import org.onosproject.nemo.model.object.property.instance.property.values.StringValue;

import java.util.List;

/**
 * Single property value's information.
 */
public interface PropertyValues {

    /**
     * Returns a list of values for a kind of string.
     *
     * @return a value of string
     */
    List<StringValue> getStringValues();

    /**
     * Returns a list of values for a kind of integer.
     *
     * @return a value of integer
     */
    List<IntValue> getIntValues();

    /**
     * Returns value for a kind of range.
     *
     * @return a value of range
     */
    RangeValue getRangeValue();
}