package org.onosproject.nemo.model.object.property.instance.property.values;

import static org.junit.Assert.assertEquals;

import org.junit.Test;
import com.google.common.testing.EqualsTester;

/**
 * Unit tests for {@link IntValueKey}.
 */
public class IntValueKeyTest {

    private static final long VALUE = 1;
    private static final long OTHER_VALUE = 2;
    private static final String VALUE_ERROR_MSG = "value not set";
    private static final long ORDER = 1;
    private static final long OTHER_ORDER = 2;
    private static final String ORDER_ERROR_MSG = "order not set";

    private IntValueKey key;
    private IntValueKey copy;
    private IntValueKey diff;

    @Test
    public void fromIntValue() {
        key = new IntValueKey(VALUE,ORDER);
        assertEquals(VALUE_ERROR_MSG, VALUE, key.getValue());
        assertEquals(ORDER_ERROR_MSG, ORDER, key.getOrder());
    }

    @Test
    public void copyConstructor() {
        key = new IntValueKey(VALUE,ORDER);
        copy = new IntValueKey(key);
        new EqualsTester()
                .addEqualityGroup(key, copy)
                .testEquals();
    }

    @Test
    public void equality() {
        key = new IntValueKey(VALUE,ORDER);
        copy = new IntValueKey(VALUE,ORDER);
        diff = new IntValueKey(OTHER_VALUE,OTHER_ORDER);
        new EqualsTester()
                .addEqualityGroup(key, copy)
                .addEqualityGroup(diff)
                .testEquals();
    }
}
